> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lidian.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# List Quotes

> Get active quotes

List active quotes, optionally filtered by quote request.


## OpenAPI

````yaml GET /api/v1/quotes
openapi: 3.1.0
info:
  title: Lidian Protocol API
  description: REST and WebSocket API for the Lidian cross-chain stablecoin swap protocol
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.lidian.finance
    description: API
security:
  - apiKeyAuth: []
paths:
  /api/v1/quotes:
    get:
      description: Get active quotes
      parameters:
        - name: quoteRequestId
          in: query
          description: Filter by quote request ID
          schema:
            type: string
      responses:
        '200':
          description: Quotes retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/QuotesResponse'
components:
  schemas:
    QuotesResponse:
      type: object
      properties:
        message:
          type: string
        data:
          type: object
          properties:
            quotes:
              type: array
              items:
                type: object
                properties:
                  id:
                    type: string
                  quoteRequestId:
                    type: string
                  liquidityProviderId:
                    type: string
                  offerer:
                    type: string
                  recipient:
                    type: string
                  inputToken:
                    type: string
                  outputToken:
                    type: string
                  inputAmount:
                    type: string
                  outputAmount:
                    type: string
                  inputChain:
                    type: string
                  outputChain:
                    type: string
                  startTime:
                    type: number
                  endTime:
                    type: number
                  signingHash:
                    type: string
                  status:
                    type: string
                    enum:
                      - active
                      - expired
                      - filled
                  createdAt:
                    type: string
                  orderId:
                    type: string
                  typedData:
                    type: object
            total:
              type: number
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````